Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.api
Class PortalContextImpl

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.api.PortalContextImpl

All Implemented Interfaces:
  PortalContext

    public class PortalContextImpl

extends java.lang.Object
implements PortalContext

todo : does not provide customizable values for portlet modes and window states.

Version:
  $Revision: 6720 $
Author:
  Julien Viet

Constructor Summary
`PortalContextImpl(PortalContext portal)`

Method Summary
`java.lang.String` | `getPortalInfo()` Returns information about the portal like vendor, version, etc.
`java.lang.String` | `getProperty(java.lang.String name)` Returns the portal property with the given name, or a `null` if there is no property by that name.
`java.util.Enumeration` | `getPropertyNames()` Returns all portal property names, or an empty `Enumeration` if there are no property names.
`java.util.Enumeration` | `getSupportedPortletModes()` Returns all supported portlet modes by the portal as an enumertation of `PorltetMode` objects.
`java.util.Enumeration` | `getSupportedWindowStates()` Returns all supported window states by the portal as an enumertation of `WindowState` objects.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalContextImpl

    public PortalContextImpl(PortalContext portal)

Method Detail

### getPortalInfo

    public java.lang.String getPortalInfo()

  Description copied from interface: `PortalContext`
  Returns information about the portal like vendor, version, etc.

  The form of the returned string is servername/versionnumber. For example, the reference implementation Pluto may return the string `Pluto/1.0`.

  The portlet container may return other optional information after the primary string in parentheses, for example, `Pluto/1.0 (JDK 1.3.1; Windows NT 4.0 x86)`.

  Specified by:
    `getPortalInfo` in interface `PortalContext`
  Returns:
    a `String` containing at least the portal name and version number

### getProperty

    public java.lang.String getProperty(java.lang.String name)

  Description copied from interface: `PortalContext`
  Returns the portal property with the given name, or a `null` if there is no property by that name.

  Specified by:
    `getProperty` in interface `PortalContext`
  Parameters:
    `name` - property name
  Returns:
    portal property with key `name`

### getPropertyNames

    public java.util.Enumeration getPropertyNames()

  Description copied from interface: `PortalContext`
  Returns all portal property names, or an empty `Enumeration` if there are no property names.

  Specified by:
    `getPropertyNames` in interface `PortalContext`
  Returns:
    All portal property names as an `Enumeration` of `String` objects

### getSupportedPortletModes

    public java.util.Enumeration getSupportedPortletModes()

  Description copied from interface: `PortalContext`
  Returns all supported portlet modes by the portal as an enumertation of `PorltetMode` objects.

  The portlet modes must at least include the standard portlet modes `EDIT, HELP, VIEW`.

  Specified by:
    `getSupportedPortletModes` in interface `PortalContext`
  Returns:
    All supported portal modes by the portal as an enumertation of `PorltetMode` objects.

### getSupportedWindowStates

    public java.util.Enumeration getSupportedWindowStates()

  Description copied from interface: `PortalContext`
  Returns all supported window states by the portal as an enumertation of `WindowState` objects.

  The window states must at least include the standard window states `MINIMIZED, NORMAL, MAXIMIZED`.

  Specified by:
    `getSupportedWindowStates` in interface `PortalContext`
  Returns:
    All supported window states by the portal as an enumertation of `WindowState` objects.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD